plymouth (24.004.60+git20250831.4a3c171d-0ubuntu1) questing; urgency=medium

  * New git snapshot which only contains one new merge request:
    - Add keywords needed for BGRT to po/meson.build to fix translations
      (LP: #2088413)
  * Drop patches merged upstream and refresh remaining patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 19 Sep 2025 12:21:24 +0200

plymouth (24.004.60+git20250714.287ae4de-0ubuntu3) questing; urgency=medium

  [ Vincent Renzo Quilon ]
  * debian/local/spinner: Updated spinner animation frames to align with
    YaruCircularProgressIndicator (LP: #2115846)
    - modified animation-0001.png through animation-0036 with updated style.
    - modified throbber-0001.png through throbber-0030.png with updated style.
    - extended 30 frames throbber files to 60 frames.

  [ Nick Rosbrook ]
  * d/source/include-binaries: include new theme image files

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Aug 2025 08:19:56 -0400

plymouth (24.004.60+git20250714.287ae4de-0ubuntu2) questing; urgency=medium

  * d/p: Add proposed patch to skip SimpleDRM with 640x480 resolution too
  * d/rules, d/install: Restore plymouth config files
  * d/p/ubuntu-default-devicetimeout.patch: Drop unnecessary patch
  * d/p/enable-usesimpledrm.patch: Show splash screen as soon as possible
    (LP: #1869655)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 18 Aug 2025 22:28:07 +0200

plymouth (24.004.60+git20250714.287ae4de-0ubuntu1) questing; urgency=medium

  * New git snapshot
  * d/p: Refresh patches
  * d/p: Drop patches applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 09:55:03 +0200

plymouth (24.004.60-2ubuntu10) questing; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: Update Vcs URLs
  * debian/patches: Refresh using gbp pq

  [ Alessandro Astone ]
  * Fix binding fsck.progress socket during early boot (LP: #2114116)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 22 Jul 2025 09:49:41 +0200

plymouth (24.004.60-2ubuntu9) questing; urgency=medium

  * d/p/ubuntu-spinner-fsck.patch: unlink() fsck progress socket before bind()
    (LP: #2115286)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 24 Jun 2025 16:33:28 -0400

plymouth (24.004.60-2ubuntu8) questing; urgency=medium

  * d/p/ubuntu-spinner-fsck.patch: listen to /run/systemd/fsck.progress
    (LP: #2109800)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 30 May 2025 09:26:10 -0400

plymouth (24.004.60-2ubuntu7) plucky; urgency=medium

  * Add ply-device-manager-Revert-Fall-back-to-text-plugin-if-no-.patch to fix
    a race condition that makes the graphical splash screen never appear when
    DRM drivers are installed in initrd (LP: #2105377).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 02 Apr 2025 12:52:11 +0200

plymouth (24.004.60-2ubuntu6) plucky; urgency=medium

  * Add ply-terminal-Fix-crash-on-vt-less-kernels-when-checking-t.patch and
    renderers-Only-call-ply_terminal_set_unbuffered_input-whe.patch to fix
    crashes with SIGSEGV in ply_terminal_set_disabled_input() (LP: #2103533)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Mar 2025 10:44:59 +0100

plymouth (24.004.60-2ubuntu5) plucky; urgency=medium

  * Add label-freetype-fix-fallback-not-working-when-fc-matc.patch to
    fix missing fonts resulting in missing text (LP: #2096806)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 20 Feb 2025 10:35:28 +0100

plymouth (24.004.60-2ubuntu4) plucky; urgency=medium

  * In all postinst scripts calling update-initramfs, use the generic hook
    instead, for Dracut support (Closes: #1088152).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Nov 2024 02:11:06 -0600

plymouth (24.004.60-2ubuntu3) plucky; urgency=medium

  * Ensure the initrd includes all necessary files for a graphical theme
    (LP: #1596220).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 22:13:38 -0600

plymouth (24.004.60-2ubuntu2) plucky; urgency=medium

  * Do not use plymouth-set-default-theme in plymouth-populate-initrd.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 01:42:57 -0600

plymouth (24.004.60-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Refreshed Ubuntu patches:
      + initramfsless-boot.patch
      + labelft-0001-Add-label-ft-plugin.patch
      + misc-changes.patch
      + ubuntu-logo.patch
      + ubuntu-spinner-fsck.patch
      + ubuntu-text.patch
    - As lsb-base became a transitional package in lsb 11.3, pulling in
      sysvinit-utils, directly depend on the latter.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 01:34:13 -0600

plymouth (24.004.60-2) unstable; urgency=medium

  * Team upload
  * Replace systemd Build-Depends with systemd-dev for systemd.pc
    (Closes: #1060564)
  * Replace Build-Depends on obsolete pkg-config with pkgconf
  * ply-boot-splash: Set unbuffered input when creating a text display.
    Patch cherry-picked from upstream Git. (Closes: #1061592)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 18:39:45 +0200

plymouth (24.004.60-1ubuntu11) plucky; urgency=medium

  * debian/local/ubuntu-logo.png:
    - Switch back to the normal Ubuntu logo instead of the special 20 years
      anniversary variant we used for Oracular

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Nov 2024 16:01:08 +0100

plymouth (24.004.60-1ubuntu10) oracular; urgency=medium

  * debian/local/ubuntu-logo.png:
    - new revision from design similar to the base-files one
      (lp: #2079779)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Sep 2024 16:43:29 +0200

plymouth (24.004.60-1ubuntu9) oracular; urgency=medium

  * debian/local/ubuntu-logo.png: update the ubuntu log for oracular

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Sep 2024 10:09:53 +0200

plymouth (24.004.60-1ubuntu8) oracular; urgency=medium

  * debian/source_plymouth.apport:
    - don't try to collect /var/log/boot.log, the normal users don't have
      read access and that log isn't really used nowadays (lp: #2041737)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Jul 2024 14:41:03 +0200

plymouth (24.004.60-1ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:14:46 +0000

plymouth (24.004.60-1ubuntu6) noble; urgency=medium

  * Cherry-pick upstream fixes for consistent default scale selection
    that matches what Mutter chooses on the login screen (LP: #2054769)
  * plymouth.hook: Stop automatically re-installing DRM kernel modules in
    initrd. initramfs-tools already does this for us in hooks/framebuffer and
    should be the authority for which drivers to include.
  * Install a /usr/share/initramfs-tools/conf-hooks.d/plymouth with
    FRAMEBUFFER=y to make it clear to initramfs-tools that we always want
    framebuffer support when Plymouth is installed. (LP: #1970069)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 21 Mar 2024 14:46:56 +0100

plymouth (24.004.60-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:14:11 +0000

plymouth (24.004.60-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:50:42 +0000

plymouth (24.004.60-1ubuntu3) noble; urgency=medium

  * Revert previous upload - somehow flickerfull boot is prefered over the
    new web-style tag which matches ubuntu.com new nav-bar and the new
    brand guidelines.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Feb 2024 14:13:59 +0000

plymouth (24.004.60-1ubuntu2) noble; urgency=medium

  * Move ubuntu theme watermark logo to a bookmark location.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sun, 18 Feb 2024 13:58:57 +0000

plymouth (24.004.60-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Dropped 0015-ply-device-manager-Handle-XKB-failing-to-load-more-g.patch
      (fixed upstream)
    - Stop building static libraries instead of removing them
    - Move logo installation into override_dh_auto_install to reduce diff
      with Debian
    - Fixed maintainer-script-without-set-e lintian flag
      for plymouth-theme-spinner.postinst and
      plymouth-theme-ubuntu-text.postinst

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 07 Feb 2024 12:32:30 +0100

plymouth (24.004.60-1) unstable; urgency=medium

  * New upstream release (Closes: #1059364)
  * debian/gbp.conf: Set upstream-vcs-tag
  * d/p/configure.ac-Avoid-embedding-the-date-in-the-version.patch: Dropped,
    autotools are gone
  * Add meson support
  * debian/control: Add new build-dependencies
  * debian/plymouth-label.install: Install split label plugins
  * debian/plymouth.docs: Fix documentation file names
  * debian/control: Mark udev as linux-any
  * debian/rules: Workaround a but in meson, it cannot create a symlink if the
    target doesn't exist
  * debian/libplymouth5.symbols: Add newly exported symbols
  * debian/local/plymouth.hook: Continue to use the pango label module for now
  * debian/patches/fallback-etc-default-keyboard.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jan 2024 21:17:19 +0100

plymouth (23.360.11-0ubuntu3) noble; urgency=medium

  * Add renderers-Do-not-assume-all-keyboards-have-LEDs.patch to avoid
    plymouthd from segfaulting on some systems, resulting in missing
    splash screens. (LP: #2050743)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 01 Feb 2024 11:18:08 +0800

plymouth (23.360.11-0ubuntu2) noble; urgency=medium

  * Removed systemd workaround and fix the build with the newer revision

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jan 2024 16:33:10 +0100

plymouth (23.360.11-0ubuntu1) noble; urgency=medium

  * New upstream version 23.360.11
  * Refresh patches
  * Build using meson, autotools is not supported anymore
  * Do not pass SYSTEMD_ASK_PASSWORD_AGENT: now detected by upstream
  * Add new build dep libevdev
  * label-ft is now built from upstream as label-freetype.so
  * label.so is now label-pango.so
  * plymouth.docs: update upstream files
  * Update libplymouth5.symbols
  * spinfinity: do not use meson symlink
  * Fix systemdsystemunitdir to add missing /usr prefix
  * Cherry-pick upstream patch to prevent xkb_keymap crash

 -- Agathe Porte <agathe.porte@canonical.com>  Mon, 15 Jan 2024 15:28:09 +0100

plymouth (22.02.122-4ubuntu2) noble; urgency=medium

  * Fix various postinst script elements which would cause issues on an
    initramfsless boot.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 14:39:29 -0600

plymouth (22.02.122-4ubuntu1) noble; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Refreshed Ubuntu patches:
      + initramfsless-boot.patch
      + labelft-0001-Add-label-ft-plugin.patch
      + misc-changes.patch
      + ubuntu-logo.patch
      + ubuntu-spinner-fsck.patch
      + ubuntu-text.patch
    - As lsb-base became a transitional package in lsb 11.3, pulling in
      sysvinit-utils, directly depend on the latter.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 09:32:06 -0600

plymouth (22.02.122-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc. (Closes:
    #1052310)

  [ Laurent Bigonville ]
  * debian/control: Add elogind as an alternative to systemd as elogind
    package ships the necessesary udev rules files (Closes: #1035076)
  * debian/local/plymouth.hook: Do not copy the security contexts when
    building the initramfs (Closes: #1050545)
  * Update initramfs for all kernel versions when installing or removing
    plymouth (Closes: #916792)
  * debian/control: Drop lsb-base, to please lintian
  * debian/plymouth.links: Fix .service symlink path after move to /usr
  * debian/rules: Move LSB init-functions file to /usr

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Dec 2023 12:00:10 +0100

plymouth (22.02.122-3ubuntu2) lunar; urgency=medium

  * debian/local/plymouth.hook:
    - update the initramfs hook for the new fonts-ubuntu, fixes missing
      chars on the disk encryption screen

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Mar 2023 22:17:23 +0100

plymouth (22.02.122-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Revert needless changes in 0005-cmdline.patch back to Debian's version.
    - Refreshed Ubuntu patches:
      + initramfsless-boot.patch
      + labelft-0001-Add-label-ft-plugin.patch
      + misc-changes.patch
      + ubuntu-logo.patch
      + ubuntu-spinner-fsck.patch
      + ubuntu-text.patch
    - As lsb-base became a transitional package in lsb 11.3, pulling in
      sysvinit-utils, directly depend on the latter.

 -- Amin Bandali <bandali@canonical.com>  Tue, 21 Feb 2023 09:51:38 -0500

plymouth (22.02.122-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now
      the default.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

  [ Laurent Bigonville ]
  * debian/patches/0003-default-theme.patch: Switch to emerald theme by
    default (Closes: #1029984)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Feb 2023 18:20:20 +0100

plymouth (22.02.122-2) unstable; urgency=medium

  * d/p: Patch the configure.ac to avoid embedding the date in the version.
    Thanks to Holger Levsen <holger@layer-acht.org> (Closes: #1017372)
  * debian/plymouth.lintian-overrides: Fix mismatched-override

 -- Laurent Bigonville <bigon@debian.org>  Sun, 25 Sep 2022 10:22:04 +0200

plymouth (22.02.122-1ubuntu3) kinetic; urgency=medium

  * debian/rules:
    - restore /usr/share/plymouth/ubuntu-logo.png, it's used by other
      components like gnome-shell (lp: #1988033)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Aug 2022 12:03:49 +0200

plymouth (22.02.122-1ubuntu2) kinetic; urgency=medium

  * Remove the deprecated ubuntu-logo theme as discussed on
    https://lists.ubuntu.com/archives/ubuntu-devel/2022-March/041939.html
    plymouth-theme-spinner should be used instead

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Aug 2022 15:28:37 +0200

plymouth (22.02.122-1ubuntu1) kinetic; urgency=medium

  * New upstream release 22.02.122:
    - Fixes with BGRT theme
    - Add --ignore-serial-consoles to plymouthd
    - Add ThemeDir config option
    - Add timeout and error for plymouth --ping
    - Honor rotated screens and video= on kernel command line
    - Support monitor hotplug change events
    - Fixes for text theme
    - Rework shutdown handling to provide cleaner take down
    - Misc other fixes
    - Translations
  * Merge Debian release 22.02.122-1 (LP: #1987263)
  * Revert needless changes in 0005-cmdline.patch back to Debian's version.
  * Refreshed Ubuntu patches:
    - initramfsless-boot.patch
    - labelft-0001-Add-label-ft-plugin.patch
    - misc-changes.patch
    - ubuntu-logo.patch
    - ubuntu-spinner-fsck.patch
    - ubuntu-text.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 19 Aug 2022 14:46:56 +0800

plymouth (22.02.122-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release, upstream will now release more frequent snapshot
    releases

  [ Alper Nebi Yasak ]
  * debian/local/plymouth.hook: Apply module exclusions for MODULES=dep as well
  * debian/local/plymouth.hook: Add panfrost to excluded DRM modules (Closes:
    #1007730)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 17 Mar 2022 18:09:27 +0100

plymouth (0.9.5+git20211018-1ubuntu4) kinetic; urgency=medium

  * Add patches to build the label-ft plugin, an alternative to the label
    plugin that has less dependencies (LP: #1976352).
  * Apply labelft-0004-label-ft-fix-alignment.patch to fix alignment
    issue with the label-ft control plugin.

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 11 Jul 2022 11:07:22 +0100

plymouth (0.9.5+git20211018-1ubuntu3) jammy; urgency=medium

  * themes/ubuntu-logo/ubuntu-logo.png:
    - use the right variant of the logo with a dark background instead of
      a white one (lp: #1965449)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Mar 2022 11:45:18 +0100

plymouth (0.9.5+git20211018-1ubuntu2) jammy; urgency=medium

  * debian/local/bgrt-fallback.png,
    themes/ubuntu-logo/ubuntu-logo.png:
    - Update the Ubuntu logo for the brand refresh

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Mar 2022 20:58:51 +0100

plymouth (0.9.5+git20211018-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Feb 2022 15:23:01 +0100

plymouth (0.9.5+git20211018-1) unstable; urgency=medium

  * New upstream version 0.9.5+git20211018 (Closes: #967047)
    - debian/patches/0005-cmdline.patch: Refreshed
    - debian/plymouth.install: Install plymouthd-fd-escrow executable.
      Also copy it in the initramfs
    - debian/libplymouth5.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 10 Nov 2021 16:45:39 +0100

plymouth (0.9.5-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Remove dependency the ttf-dejavu-core alternative
  * Don't use /etc/vconsole.conf after all as it's not used anywhere in debian
  * d/p/0003-default-theme.patch: Switch to homeworld for bullseye

  [ Simon McVittie ]
  * Unfuzz 0008-show-delay.patch to apply cleanly

 -- Laurent Bigonville <bigon@debian.org>  Tue, 02 Mar 2021 13:18:12 +0100

plymouth (0.9.5-2) unstable; urgency=medium

  * debian/local/plymouth.hook: Copy logo-text-version-64.png in the initramfs
  * Use /etc/default/keyboard if /etc/vconsole.conf is not available. This
    should fix CAPS lock indicator in some cases. Try to copy both files in
    the initramfs as well.  See: #968287
  * debian/local/plymouth.hook: Remove compatibility with wheezy and previous
    versions. Also, do not copy libpango explicitly but rely on copy_exec to
    copy it when needed, the label plugin is linked against it.
  * Copy the Cantarell font to the initramfs as it's used by spinner and bgrt
    themes
  * debian/libplymouth5.symbols: Add Build-Depends-Package field

 -- Laurent Bigonville <bigon@debian.org>  Wed, 09 Dec 2020 15:58:50 +0100

plymouth (0.9.5-1) experimental; urgency=medium

  * New upstream version 0.9.5
  * Refresh the patches or delete the ones applied upstream
    d/p/0003-default-theme.patch, d/p/0005-cmdline.patch,
    d/p/0008-show-delay.patch: Refreshed
    d/p/0005-Add-RemainAfterExit-yes-to-plymouth-s-systemd-servic.patch,
    d/p/0006-main-switch-log-file-when-switching-mode.patch,
    d/p/0007-main-fix-mode-changing-before-splash-is-shown.patch: Deleted
  * debian/plymouth-themes.install: Remove the throbgress plugin, dropped
    upstream
  * debian/rules: Remove --enable-gdm-transition, dropped upstream
  * debian/plymouth.install: Install logrotate configuration for boot.log
  * debian/plymouth.install: Install the translation files
  * debian/plymouth-themes.install: Install the new bgrt theme
  * debian/rules: Set --with-runtimedir=/run
  * Bump libplymouth4 soname to libplymouth5
  * debian/local/plymouth.hook: Install the ImageDir even if it's coming from
    another theme

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Aug 2020 20:07:40 +0200

plymouth (0.9.4-3) unstable; urgency=medium

  * Drop debian/patches/0001-awk.patch and add a break against mawk (<< 1.3.4),
    the awk script has been tested gainst mawk (>= 1.3.4) and gawk
  * Add RemainAfterExit=yes to plymouth's systemd service files, cherry-picked
    patch from upstream
  * Properly close the boot.log file when changing mode (Closes: #943424)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 07 Apr 2020 17:06:13 +0200

plymouth (0.9.4-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/plymouth.links: Drop the manpage symlink plymouth-log-viewer.8, the
    executable is not installed anymore (Closes: #922320)
  * debian/rules: Stop passing start and stop actions for update-rc.d to
    dh_installinit. update-rc.d is not supporting that for quite some time
  * debian/plymouth.postinst: Remove old cleanup code needed for early 0.9.0
    uploads
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debhelper compatibility to 12, switch from dh_systemd_start to
    dh_installsystemd
  * debian/rules: Disable call to dh_installinitramfs, let's manage that
    ourself but update the maintainer scripts to mimic what it's doing.
  * debian/rules: Drop dh_strip override, plymouth-dbg is gone for at least
    one release and we don't need the migration bits to the -dbgsym package
  * Move everything from / to /usr now that the later is mounted at early
    boot, add compatibility symlinks for the executable in case the system is
    not migrated to usr-merge.
  * debian/control: Add Rules-Requires-Root: no
  * Move some executables to /usr/libexec now that's allowed in the policy
  * debian/rules: Rely on dh_autoreconf to update config.guess and config.sub
  * Drop debian/patches/0004-return-code.patch, this doesn't seem needed
    anymore, thanks to Sebastien Bacher for noticing

  [ Alper Nebi Yasak ]
  * Include less modules when appropriate. (Closes: #940014)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Jan 2020 08:31:05 +0100

plymouth (0.9.5git20210406-0ubuntu2) impish; urgency=medium

  * Add plymouth-switch-root-initramfs-Preload-text-renderin.patch to
    preload all the graphics libraries required by plymouthd before the
    switch occurs. So now casper can render text even from within the
    initramfs regardless of library dependencies (LP: #1942987).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 15 Sep 2021 17:24:22 +0800

plymouth (0.9.5git20210406-0ubuntu1) impish; urgency=medium

  * New upstream snapshot 20210406 (commit e55447500fa9) taken on
    2021-08-31 (upstream is unchanged since April) to get the latest bug
    fixes, in particular LP: #1923335.
  * plymouth.install: Add plymouthd-fd-escrow to support the above shutdown
    bug fix.
  * Refreshed debian/patches:
    - details-remove-separator.patch
    - details-update-status.patch
    - initramfsless-boot.patch
    - misc-changes.patch
    - ubuntu-default-devicetimeout.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 31 Aug 2021 15:01:18 +0800

plymouth (0.9.5git20210323-0ubuntu1) impish; urgency=medium

  * Update by doing a new snapshot as recommended by upstream,
    including support for bgrt fallback image
  * debian/patches/git_screens_resolution.patch,
    debian/patches/git_set_translations.patch;
    debian/patches/gitlab_correct_keynames.patch,
    debian/patches/timeout-for-ping.patch:
    - remove patches included in the new version
  * debian/local/bgrt-fallback.png: updated, thanks Muqtadir!

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Jun 2021 15:03:27 +0200

plymouth (0.9.5-0ubuntu3.1) impish; urgency=medium

  * debian/local, debian/rules, debian/source/include-binaries:
    - updated assets for the bgrt theme, includes fixes for the spinning
      animation sligtly lagging, thanks Muqtadir!

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Jun 2021 10:03:10 +0200

plymouth (0.9.5-0ubuntu3) hirsute; urgency=medium

  * debian/patches/git_screens_resolution.patch:
    - don't limit the resolution to the lower screen one
  * debian/patches/git_set_translations.patch:
    - do the setlocale configuration even when there is no initrd, fixes
      the translations not showing up when testing in a session

  [ Daniel van Vugt ]
  * debian/patches/timeout-for-ping.patch: Raise the ping timeout from 2 to
    30 seconds. Two seconds was way too short,
    - causing ping to randomly fail on some busy multi-monitor start-ups,
    - causing gdm to think no plymouthd is running,
    - causing gdm to never call 'plymouth deactivate',
    - causing plymouthd to retain ownership of the graphics hardware,
    - causing gdm's login screen to fail to start. (LP: #1872159)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Oct 2020 13:16:03 +0100

plymouth (0.9.5-0ubuntu2) groovy; urgency=medium

  * Clear twostep footer, at the end of fsck, and clear lingering Ctrl+C
    message LP: #1880250

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Aug 2020 22:03:42 +0100

plymouth (0.9.5-0ubuntu1) groovy; urgency=medium

  * New upstream version (lp: #1886886)
  * debian/control:
    - remove the intltool Build-Depends, the new version uses gettext
  * debian/patches/git-drm-improve.patch,
    debian/patches/gitlab-center-messages.patchs:
    - removed, the changes are in the new version
  * debian/libplymouth5.symbols:
    - refreshed for the new version
  * debian/patches/gitlab_correct_keynames.patch:
    - use the correct title and subtitle key names

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Jul 2020 15:07:01 +0200

plymouth (0.9.4git20200323-0ubuntu6) focal; urgency=medium

  * debian/patches/ubuntu-default-devicetimeout.patch: Increase the graphics
    probing timeout to 8 seconds to match upstream. This also fixes missing
    graphics when booting some ThinkPads. (LP: #1838725)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 01 Apr 2020 17:49:08 +0800

plymouth (0.9.4git20200323-0ubuntu5) focal; urgency=medium

  * debian/patches/git-drm-improve.patch:
    - backport an upstream patch to improve drm/kms probing

  [ Daniel Van Vugt ]
  * debian/patches/ubuntu-spinner-fsck.patch:
    - Add support for fsck status messages (lp: #1867130)
  * debian/patches/gitlab-center-messages.patch:
    - Center message text within labels if labels are centered

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Mar 2020 10:23:57 +0200

plymouth (0.9.4git20200323-0ubuntu3) focal; urgency=medium

  * debian/control:
    - plymouth-theme-spinner Depends on plymouth-label, it's required
      to be able to display messages on the splash screen

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 29 Mar 2020 12:23:27 +0200

plymouth (0.9.4git20200323-0ubuntu2) focal; urgency=medium

  * debian/patches/ubuntu-spinner-style.patch:
    - Ubuntu style for the spinner/bgrt theme.
      Use the Ubuntu font instead of cantarell (lp: #1869170)
      Display the password entry under the bios logo (lp: #1867131)
  * debian/local/lock.png, debian/local/entry.png, debian/rules:
    - theme the spinner password entry assets to have an Ubuntu orange
      color rather than an upstream blue one
  * themes/ubuntu-logo/ubuntu-logo.png:
    - updated the logo image to be correctly center again, thanks Daniel
      (lp: #1869150)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 16:31:27 +0100

plymouth (0.9.4git20200323-0ubuntu1) focal; urgency=medium

  * New git snapshot
  * debian/patches/git_assert_fix.patch:
    - removed, included in the new version
  * themes/ubuntu-logo/ubuntu-logo.png:
    - updated logo from design with better resolution (lp: #1866413)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Mar 2020 13:07:07 +0100

plymouth (0.9.4git20200109-0ubuntu8) focal; urgency=medium

  * debian/local/spinner, debian/rules:
    - Install the Ubuntu yaru spinner assets, thanks Frederik for working
      on/providing the new images!

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 11:05:07 +0100

plymouth (0.9.4git20200109-0ubuntu7) focal; urgency=medium

  * debian/local/plymouth.hook:
    - try to copy the watermark image in the initramfs only if the spinner
      theme is installed (lp: #1866377)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 07 Mar 2020 10:26:16 +0100

plymouth (0.9.4git20200109-0ubuntu6) focal; urgency=medium

  * themes/ubuntu-logo/ubuntu-logo.png:
    - update the logo using in plymouth/gdm to be monochrome,
      thanks Wayne!

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Mar 2020 10:27:38 +0100

plymouth (0.9.4git20200109-0ubuntu5) focal; urgency=medium

  * debian/local/plymouth.hook,
    debian/rules:
    - install the ubuntu-logo asset as a watermark for the bgrt theme

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Mar 2020 10:09:07 +0100

plymouth (0.9.4git20200109-0ubuntu3.3) focal; urgency=medium

  * debian/local/plymouth.hook:
    - handle the case when there is no theme alternative defined
      (lp: #1865959)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Mar 2020 12:23:07 +0100

plymouth (0.9.4git20200109-0ubuntu3.2) focal; urgency=medium

  * debian/patches/git_assert_fix.patch:
    - backport an assert fix from upstream git

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 18:07:23 +0100

plymouth (0.9.4git20200109-0ubuntu3.1) focal; urgency=medium

  * debian/local/plymouth.hook:
    - if the current theme has an ImageDir includes the directory
      in the initramfs (lp: #1864586)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 17:02:28 +0100

plymouth (0.9.4git20200109-0ubuntu3) focal; urgency=medium

  * Drop setting purple on grub boot for now, until we have a good plan
    for flickerless boot either by tweaking our theme for new world order,
    or changing to a different theme.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2020 16:34:20 +0000

plymouth (0.9.4git20200109-0ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:22 +0000

plymouth (0.9.4git20200109-0ubuntu1) focal; urgency=medium

  * New upstream version:
    - includes a new keyboard layout/capslock indicator
  * debian/control, debian/libplymouth5.lintian-overrides, debian/rules:
    - updated for the library soname change
  * debian/libplymouth5.*:
    - updated for the soname change
  * debian/patches/misc-changes.patch:
    - updated to fix an implicity declaration warning
  * debian/patches/0001-script-Add-image-tile-support.patch:
    - removed, included in the new version
  * debian/plymouth.install:
    - install the new logrotate.d boot.log entry
  * debian/plymouth-themes.install:
    - updated for the throbgress plugin removal

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jan 2020 17:03:09 +0100

plymouth (0.9.4git20190712-0ubuntu5) focal; urgency=medium

  * debian/patches/misc-changes.patch: fix an Ubuntu-specific bug in
    handling plymouth ask-for-password with a --command option that results
    in a crash, breaking disk unlocking with zfs.  Thank to Witold Krecicki
    for the fix.  LP: #1810154.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2019 10:43:21 -0800

plymouth (0.9.4git20190712-0ubuntu4) eoan; urgency=medium

  * debian/plymouth-theme-spinner.postinst/rm:
    - call update-grub when installing/removing the theme so grub isn't
      stucked on colors from the old theme (lp: #1837360)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 09 Oct 2019 17:23:40 +0200

plymouth (0.9.4git20190712-0ubuntu3) eoan; urgency=medium

  * Update grub script to yaru aubergine.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Sep 2019 11:42:46 +0100

plymouth (0.9.4git20190712-0ubuntu2) eoan; urgency=medium

  * Add tile support in script plugin, use it to create background
    matching gnome-shell.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 14:41:56 +0100

plymouth (0.9.4git20190712-0ubuntu1) eoan; urgency=medium

  * Update to a new upstream git snapshot including those changes:
    - new BGRT theme, using the firmware boot splash as background
    - new firmware-upgrade mode for use by fwupd
    - fix failing to pick the native monitor mode starting with kernel 5.2
  * debian/control:
    - build-depends on gettext and intltool
    - build a new binary for the spinner theme
  * debian/plymouth.install:
    - include the translations
  * debian/control,
    debian/plymouth-themes.install:
    - install the new bgrt theme in plymouth-themes for now, we probably
      want to move it to a new binary (with spinner which it relies on)
      if/when we make it default
  * debian/libplymouth4.symbols:
    - refreshed for the new version symbols
  * debian/plymouth.postinst,
    debian/plymouth-theme-ubuntu-logo.postinst:
    debian/plymouth-theme-ubuntu-text.postinst:
    - remove transition code that was needed until xenial
  * debian/plymouth-theme-spinner.install:
    - install the spinner and bgrt themes in that binary
  * debian/plymouth-theme-spinner.postinst/postrm:
    - install the new bgrt theme with an higher alternative score,
      call update-initramfs
  * debian/patches/0008-show-delay.patch:
    - removed, the patch is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jul 2019 17:31:09 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libplymouth5`.
